Bug 138547 - [request] improve dhcp behaviour with multiple networks
Summary: [request] improve dhcp behaviour with multiple networks
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-05 14:30 UTC by yerenkow
Modified: 2020-07-11 02:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yerenkow 2009-09-05 14:30:06 UTC
I have network, for example wlan0.
It takes all info by DHCP, gateway and DNS too.

1. If I want to use my own DNS,there is no way to do it, any changes to /etc/resolv.conf are overwrited, even if the auto-discovered dns address leaved untouched there.

2. If I have other network which I need to use (for example, gprs via bluetooth), it connect OK. But DNS probably can be overridden by any other interface with DHCP - not good.

3. If I disconnect my gprs/ppp, I get "no route to host", for any ip. I had a gateway for wlan0, I connected with gprs (tun0), it simply overriden my gateway, not stored any info about which default gate was earlier, and after disconnect I got broken route table.

I'd propose a little smartr DHCP, which will respect other DNSes, specified manually or get from other DHCP interfaces.
I'd propose additional checks during connect/disconnect interfaces, to have always working route table, no matter of user actions.
Comment 1 Jilles Tjoelker freebsd_committer 2010-04-25 23:19:04 UTC
Class Changed
From-To: sw-bug->change-request

This is a feature request.
Comment 2 Volker Werth freebsd_committer 2010-08-21 15:03:11 UTC
State Changed
From-To: open->suspended

Alexander, 
if I got all points of your request right, points 1 and 2 can be "fixed" in 
(read: must be configured by the admin) dhclient.conf(5) 
Point 3 must be properly configured by either ppp.conf or mpd.conf or 
whatever you use for dialing up. 
I don't see a FreeBSD bug here if properly configured. 
Please report back if we can close this PR. Thank you very much. 


Comment 3 Volker Werth freebsd_committer 2010-08-21 15:03:11 UTC
Responsible Changed
From-To: freebsd-bugs->vwe

track
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:49:47 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2020-07-11 02:31:38 UTC
Reclaim for bugs@FreeBSD.org.